Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

ID of the application that owns the connector.

resource_type_id
string
required

ID of the resource type used for discovered applications.

Query Parameters

page_size
integer<int32>

Maximum number of results to return. The maximum is 100.

page_token
string

Pagination token from a previous response.

Response

200 - application/json

ListAppManagedStateBindingsResponse contains one page of discovered application managed states.

ListAppManagedStateBindingsResponse contains one page of discovered application managed states.

expanded
object[] | null

Related objects included for gRPC requests that set expand_mask.

list
App Managed State Binding View · object[] | null

Managed states of the discovered applications.

nextPageToken
string

Pagination token for the next page. Empty when there are no more results.